Package org.eclipse.lemminx.services.extensions

## Interface IComponentProvider

All Known Subinterfaces:
  `IBaseCodeActionRequest`, `ICodeActionRequest`, `ICodeActionResolverRequest`, `ICompletionItemResolverRequest`

All Known Implementing Classes:
  `CodeActionRequest`, `ResolveCodeActionRequest`, `ResolveCompletionItemRequest`, `XMLExtensionsRegistry`, `XMLLanguageService`

    public interface IComponentProvider

Component provider API to register utilities class for a given XML language service `XMLLanguageService`

### Method Summary

All Methods Instance Methods Abstract Methods
`<T> T` `getComponent​(Class clazz)` Returns the component class instance from the given class and null otherwise.

### Method Detail

#### getComponent

    <T> T getComponent​(Class clazz)

Returns the component class instance from the given class and null otherwise.

Parameters:
  `clazz` - class of the component.
Returns:
  the component class instance from the given class and null otherwise.